import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = 'https://gist.githubusercontent.com/pethavenu/17fd7e82b06d22ecbab3813454239154/raw/4709db43a20dd6029b13aa16aea6c8944f73dc28/ice-7.csv';
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 20,
        right: 20,
        bottom: 80,
        left: 120,
      })
      .size(100)
  );
   svg.append('text')
      .attr('class','axis-label')
      .attr('x',innerWidth/2.0)
      .attr('y',50)
      .style('font-size', '30px')
      .text("Scatter Plot")

      svg.append('text')
      .attr('class', 'axis-label')
      .attr('x', width / 2)
      .attr('y', height - 10)
      .style('font-size', '20px')
      .style('text-anchor', 'middle')
      .text('Petal_Width ');

  svg.append('text')
      .attr('class', 'axis-label')
      .style('font-size', '20px')
      .style('text-anchor', 'middle')
      .attr('y', 50)
      .attr('x',-240)
      .text('Sepal_Length')
      .attr("transform", "rotate(-90)");
};
main();
